TopCallerData (accounting-node 1.4.0-2.13.0 API)
Date: 2013-03-24

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.common.accounting.node.persistence
Class TopCallerData

    java.lang.Object
      org.gcube.common.accounting.node.persistence.TopCallerData

All Implemented Interfaces:
  Serializable

    public class TopCallerData

extends Object
implements Serializable

Author:
  Andrea Manzi(CERN)
See Also:
  Serialized Form

Nested Class Summary
`class` | `TopCallerData.TopCallerInfo`

Field Summary
`static Long` | `DAY_INTERVAL_S`
`static Long` | `HOUR_INTERVAL_S`
`Long` | `intervalXday`
`Long` | `intervalXHour`

Constructor Summary
`TopCallerData(long interval)`

Method Summary
`void` | `addCallerInfo(String caller, Long calls)`
`HashMap<String,HashMap<Long,Statistics>>` | `getCallerMap()`
`Long` | `getIntervalXday()`
`Long` | `getIntervalXHour()`
`TopCallerData.TopCallerInfo` | `getTopCallerInfo()`
`void` | `setIntervalXday(Long intervalXday)`
`void` | `setIntervalXHour(Long intervalXHour)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HOUR_INTERVAL_S

    public static Long HOUR_INTERVAL_S

### DAY_INTERVAL_S

    public static Long DAY_INTERVAL_S

### intervalXHour

    public Long intervalXHour

### intervalXday

    public Long intervalXday

Constructor Detail

### TopCallerData

    public TopCallerData(long interval)

Method Detail

### getCallerMap

    public HashMap<String,HashMap<Long,Statistics>> getCallerMap()

### addCallerInfo

    public void addCallerInfo(String caller,
                              Long calls)
                       throws Exception

  Throws:
    `Exception`

### getTopCallerInfo

    public TopCallerData.TopCallerInfo getTopCallerInfo()

### getIntervalXHour

    public Long getIntervalXHour()

### setIntervalXHour

    public void setIntervalXHour(Long intervalXHour)

### getIntervalXday

    public Long getIntervalXday()

### setIntervalXday

    public void setIntervalXday(Long intervalXday)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.